Many of you already know this but Dropbox does not work on older machines…

And if you try to upgrade your computer, Apple forces you to upgrade to Mojave which is not ideal on older machines…

We have a solution, we can install any other operating system you need, like 10.10, 10.11, 10.12 or 10.13, but to do this we have to manually or remote into your computer. If this is something you think you need, please don’t hesitate to contact us.

To read more about the issue you can google search the topic of have a look at dropbox’s forum on the link below

https://www.dropboxforum.com/t5/Installs-integrations/Mac-OS-10-9-end-of-support/td-p/316519